/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */

/*!
 * Datatourisme Theme Sass v0.0.1
 */
@tailwind base;
@tailwind components;
@tailwind utilities;

// variables
@import "adminlte/variables";
@import "settings/variables";

//Bootstrap / fontawesome / adminlte
$icon-font-path: "~bootstrap-sass/assets/fonts/bootstrap/" !default;
@import "bootstrap-sass";
@import "fontawesome-4.7";
@import "adminlte/AdminLTE";

// openlayer
@import "ol/ol.css";

html {
  // important to make tailwind css works well
  // font-size: 100%;
  font-size: $font-size-base;
}

// Selectize
@import "selectize-scss/src/selectize.bootstrap3.scss";

// Perfect scrollbar
@import "react-perfect-scrollbar/dist/css/styles.css";

// core
@import "core/fonts";
@import "core/helpers";
@import "core/animations";
@import "core/mixins";

// components
@import "components/code";
@import "components/alert";
@import "components/navbar";
@import "components/footer";
@import "components/breadcrumb";
@import "components/blankslate";
@import "components/box";
@import "components/small-box";
@import "components/form";
@import "components/modal";
@import "components/button";
@import "components/timeline";
@import "components/list-group";
@import "components/labels";
@import "components/navs";
@import "components/table";
@import "components/multiselect";
@import "components/slider";
@import "components/notify";
@import "components/tooltipster";
@import "components/selectize";
@import "components/scrollable";

// modules
@import "modules/http-error";

body {
  background-color: $dge-gray;
}

body.layout-top-nav > .wrapper {
  padding-top: 50px;
  background: transparent;
  overflow: initial;
}

.content-wrapper,
.right-side,
.main-footer,
.main-header .navbar {
  margin-left: 0;
}

.content-header {
  padding: 15px 0 0 0;
  .btn {
    margin-top: -3px;
  }
}

.content {
  padding: 15px 0;
}

.no-min-height {
  min-height: auto;
}

.table td .label {
  font-size: 80%;
}

.content-header h1 > .label {
  font-size: 12px;
  position: relative;
  top: -2px;
  left: 5px;
}

.nav-tabs-custom > .nav-tabs > li.disabled > a {
  color: #999;
}

#btn-edit-sparql {
  position: absolute;
  z-index: 1000;
  right: 25px;
  bottom: 10px;
}

/** nano **/
.nano > .nano-pane {
  z-index: 3;
}

// caret fix
.caret {
  border-top: $caret-width-base dashed;
}

/* Undo tailwind lists reset in box */
ol,
ul {
  padding-left: theme("spacing.10");
}

ol {
  list-style-type: decimal;
}

ul {
  list-style-type: disc;
}

.list-unstyled {
  list-style: none !important;
  margin: 0 !important;
  padding: 0 !important;
}
